@charset "utf-8";
/*==================================================
 背景色が伸びる（中央から外）
===================================*/

/*========= ローディング画面のためのCSS ===============*/
#splash {
  position: fixed;
  z-index: 9999999;

  width: 100%;
  height: 100%;

  text-align: center;

  color: #fff;
  /*background: #e2a2b1;*/
  background: #d86f7b;
}

#splash-logo {
  position: absolute;
  top: 50%;
  left: 50%;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/

.splashbg1,
.splashbg2 {
  display: none;
}

body.appear .splashbg1,
body.appear .splashbg2 {
  display: block;
}

/*右に消えるエリア*/
body.appear .splashbg1 {
  position: fixed;
  z-index: 999;
  top: 0;
  left: 50%;

  width: 100%;
  height: 100vh;

  content: "";
  -webkit-transform: scaleX(1);
  -ms-transform: scaleX(1);
  transform: scaleX(1);
  -webkit-animation-name: PageAnime;
  animation-name: PageAnime;
  -webkit-animation-duration: 1.2s;
  animation-duration: 1.2s;
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;

  background-color: #e2a2b1; /*伸びる背景色の設定*/

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnime {
  0% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: left;
    transform-origin: left;
  }
  50% {
    -webkit-transform-origin: right;
    transform-origin: right;
  }
  100% {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: right;
    transform-origin: right;
  }
}

@keyframes PageAnime {
  0% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: left;
    transform-origin: left;
  }
  50% {
    -webkit-transform-origin: right;
    transform-origin: right;
  }
  100% {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: right;
    transform-origin: right;
  }
}

/*左に消えるエリア*/
body.appear .splashbg2 {
  position: fixed;
  z-index: 999;
  top: 0;
  right: 50%;

  width: 100%;
  height: 100vh;

  content: "";
  -webkit-transform: scaleX(1);
  -ms-transform: scaleX(1);
  transform: scaleX(1);
  -webkit-animation-name: PageAnime2;
  animation-name: PageAnime2;
  -webkit-animation-duration: 1.2s;
  animation-duration: 1.2s;
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;

  background-color: #e2a2b1; /*伸びる背景色の設定*/

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnime2 {
  0% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: right;
    transform-origin: right;
  }

  50% {
    -webkit-transform-origin: left;
    transform-origin: left;
  }
  100% {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: left;
    transform-origin: left;
  }
}

@keyframes PageAnime2 {
  0% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: right;
    transform-origin: right;
  }

  50% {
    -webkit-transform-origin: left;
    transform-origin: left;
  }
  100% {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: left;
    transform-origin: left;
  }
}

/*画面遷移の後現れるコンテンツ設定*/
#wrapper {
  opacity: 0; /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #wrapper {
  -webkit-animation-name: PageAnimeAppear;
  animation-name: PageAnimeAppear;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/*==================================================
 クリックしたらナビ背景コンテンツがぼかされる※IE11非対応
===================================*/

/*========= ぼかしのためのCSS ===============*/

.mainblur {
  -webkit-filter: blur(8px);
  filter: blur(8px);
}

/*========= ナビゲーションのためのCSS ===============*/

#g-nav {
  /*position:fixed;にし、z-indexの数値を小さくして最背面へ*/
  position: fixed;
  z-index: -1;
  /*ナビの位置と形状*/
  top: 0;

  width: 100%;
  height: 100vh; /*ナビの高さ*/
  /*動き*/

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;

  opacity: 0; /*はじめは透過0*/
  /*背景を少し透過させる*/
  /*background: rgba(266, 162, 172, 0.8);*/
  background: rgba(216, 111, 123, 0.7);
}

/*アクティブクラスがついたら透過なしにして最前面へ*/
#g-nav.panelactive {
  z-index: 999;

  opacity: 1;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list {
  /*ナビの数が増えた場合縦スクロール*/
  position: fixed;
  z-index: 999;

  overflow: auto;

  width: 100%;
  height: 100vh; /*表示する高さ*/

  -webkit-overflow-scrolling: touch;
}

/*ナビゲーション*/
#g-nav ul {
  /*ナビゲーション天地中央揃え*/
  position: absolute;
  z-index: 999;
  top: 50%;
  left: 50%;

  display: none; /*はじめは非表示*/

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

#g-nav.panelactive ul {
  display: block;
}
/*リストのレイアウト設定*/

#g-nav li {
  list-style: none;

  text-align: center;
}

#g-nav li a {
  font-weight: bold;

  display: block;

  padding: 10px;

  text-decoration: none;
  letter-spacing: 0.1em;
  text-transform: uppercase;

  color: #fff;
}

/*==================================================
 ボタン：2本線が×に
===================================*/

/*ボタン外側*/
.openbtn {
  position: fixed;
  z-index: 9999; /*ボタンを最前面に*/
  top: 10px;
  right: 10px;

  width: 50px;
  height: 50px;

  cursor: pointer;
}

/*ボタン内側*/

.openbtn span {
  position: absolute;
  left: 13px;

  display: inline-block;

  height: 3px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  transition: all 0.4s; /*アニメーションの設定*/
  /*background-color: #666;*/

  background-color: gray;
  -webkit-box-shadow: 0 0 5px gray;
  box-shadow: 0 0 5px gray;
}

.openbtn span:nth-of-type(1) {
  top: 22px;

  width: 50%;
}

.openbtn span:nth-of-type(2) {
  top: 29px;

  width: 30%;
}

/*activeクラスが付与されると線が回転して×に*/

.openbtn.active span:nth-of-type(1) {
  top: 20px;
  left: 16px;

  width: 35%;

  -webkit-transform: translateY(6px) rotate(-45deg);
  -ms-transform: translateY(6px) rotate(-45deg);
  transform: translateY(6px) rotate(-45deg);
}

.openbtn.active span:nth-of-type(2) {
  top: 32px;
  left: 16px;

  width: 35%;

  -webkit-transform: translateY(-6px) rotate(45deg);
  -ms-transform: translateY(-6px) rotate(45deg);
  transform: translateY(-6px) rotate(45deg);
}

/*==================================================
 丸が動いてスクロールを促す
===================================*/

/*スクロールダウン全体の場所*/
.scrolldown2 {
  /*描画位置※位置は適宜調整してください*/
  /*position:fixed;*/
  position: absolute;
  z-index: 2;
  bottom: 10px;
  left: 50%;
}

/*Scrollテキストの描写*/
.scrolldown2 span {
  font-size: 0.7rem;
  /*描画位置*/

  position: absolute;
  bottom: 10px;
  left: 10px;

  letter-spacing: 0.05em;
  /*縦書き設定*/
  -ms-writing-mode: tb-rl;
  /*テキストの形状*/

  color: #eee;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}

/* 丸の描写 */
.scrolldown2:before {
  /*描画位置*/
  position: absolute;
  bottom: 0;
  left: -4px;
  /*丸の形状*/

  width: 10px;
  height: 10px;

  content: "";
  /*丸の動き1.6秒かけて透過し、永遠にループ*/
  -webkit-animation: circlemove 1.6s ease-in-out infinite,
    cirlemovehide 1.6s ease-out infinite;
  animation: circlemove 1.6s ease-in-out infinite,
    cirlemovehide 1.6s ease-out infinite;

  border-radius: 50%;
  background: #eee;
}

/*下からの距離が変化して丸の全体が上から下に動く*/
@-webkit-keyframes circlemove {
  0% {
    bottom: 45px;
  }
  100% {
    bottom: -5px;
  }
}
@keyframes circlemove {
  0% {
    bottom: 45px;
  }
  100% {
    bottom: -5px;
  }
}

/*上から下にかけて丸が透過→不透明→透過する*/
@-webkit-keyframes cirlemovehide {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  80% {
    opacity: 0.9;
  }
  100% {
    opacity: 0;
  }
}
@keyframes cirlemovehide {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  80% {
    opacity: 0.9;
  }
  100% {
    opacity: 0;
  }
}

/* 線の描写 */
.scrolldown2:after {
  /*描画位置*/
  position: absolute;
  bottom: 0;
  left: 0;
  /*線の形状*/

  width: 2px;
  height: 50px;

  content: "";

  background: #eee;
}

/*==================================================
 線から塗に変化（上から下）
===================================*/

/* ボタン共通設定 */
.btn04 {
  /*線の基点とするためrelativeを指定*/
  position: relative;
  /*ボタンの形状*/

  display: inline-block;
  /*はみ出す背景色を隠す*/
  overflow: hidden;

  padding: 10px 30px;

  text-decoration: none;

  color: #333;
  border: 1px solid #ccc;
  outline: none;
}

/*hoverした際のボタンの形状*/
.btn04:hover {
  /*色の変化を遅らせる*/
  -webkit-transition-delay: 0.6s;
  -o-transition-delay: 0.6s;
  transition-delay: 0.6s;

  color: #fff;
  border-color: transparent;
}

/*線の設定*/
.btn04 span {
  z-index: 2;

  display: block;
}

/*== 線から塗に変化（上から下） */

/*線の設定*/
.bordertop span::before,
.bordertop span::after {
  /*絶対配置で線の位置を決める*/
  position: absolute;

  width: 1px;
  height: 0;

  content: "";
  /*アニメーションの設定*/
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  /*線の形状*/

  background: #e2a2b1;
}

/*左線*/
.bordertop span::before {
  top: 0;
  left: 0;
}

/*右線*/
.bordertop span::after {
  top: 0;
  right: 0;
}

/*hoverをすると線が伸びる*/
.bordertop:hover span::before,
.bordertop:hover span::after {
  height: 100%;
}

/*背景の設定*/
.bordertop::before {
  /*絶対配置で線の位置を決める*/
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  /*背景の形状*/

  width: 100%;
  height: 0;

  content: "";
  /*アニメーションの設定*/
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;

  background: #e2a2b1;
}

/*hoverをすると背景が伸びる*/
.bordertop:hover::before {
  height: 100%;
  /*0.4秒遅れてアニメーション*/

  -webkit-transition-delay: 0.4s;
  -o-transition-delay: 0.4s;
  transition-delay: 0.4s;
}

/*==================================================
 ページ内にある指定の範囲内で下から出現
===================================*/

/*リンクの形状*/
#page-top a {
  font-size: 0.6rem;

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  width: 60px;
  height: 50px;

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;

  color: #fff;
  background: #e2a2b1;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

#page-top a:hover {
  height: 55px;

  background: #999;
}

/*リンクを右下に固定*/
#page-top {
  position: fixed;
  z-index: 2;
  right: 0;
  bottom: 0;

  -webkit-transform: translateY(100px);
  -ms-transform: translateY(100px);
  transform: translateY(100px);
  /*はじめは非表示*/

  opacity: 0;
}

/*　上に上がる動き　*/

#page-top.UpMove {
  -webkit-animation: UpAnime 0.5s forwards;
  animation: UpAnime 0.5s forwards;
}
@-webkit-keyframes UpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }
  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}
@keyframes UpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }
  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

/*　下に下がる動き　*/

#page-top.DownMove {
  -webkit-animation: DownAnime 0.5s forwards;
  animation: DownAnime 0.5s forwards;
}
@-webkit-keyframes DownAnime {
  from {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
  to {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 1;
  }
}
@keyframes DownAnime {
  from {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
  to {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 1;
  }
}

/*==================================================
 複数画像を並列に見せる
===================================*/
.slider {
  /*横幅94%で左右に余白を持たせて中央寄せ*/
  width: 94%;
  margin: 0 auto;
}

.slider img {
  width: 100%; /*スライダー内の画像を横幅100%に*/
  height: auto;
}

/*slickのJSで書かれるタグ内、スライド左右の余白調整*/

.slider .slick-slide {
  margin: 0 10px;
}

/*矢印の設定*/

/*戻る、次へ矢印の位置*/
.slick-prev,
.slick-next {
  position: absolute; /*絶対配置にする*/
  top: 42%;

  width: 15px;
  height: 15px;

  cursor: pointer; /*マウスカーソルを指マークに*/

  border-top: 2px solid #999; /*矢印の色*/
  border-right: 2px solid #999; /*矢印の色*/
  outline: none; /*クリックをしたら出てくる枠線を消す*/
}

.slick-prev {
  /*戻る矢印の位置と形状*/
  left: -1.5%;

  -webkit-transform: rotate(-135deg);
  -ms-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

.slick-next {
  /*次へ矢印の位置と形状*/
  right: -1.5%;

  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/*ドットナビゲーションの設定*/

.slick-dots {
  margin: 20px 0 0 0;

  text-align: center;
}

.slick-dots li {
  display: inline-block;

  margin: 0 5px;
}

.slick-dots button {
  display: block;

  width: 8px; /*ドットボタンのサイズ*/
  height: 8px; /*ドットボタンのサイズ*/

  color: transparent;
  border-radius: 50%;
  outline: none;
  background: #ccc; /*ドットボタンの色*/
}

.slick-dots .slick-active button {
  background: #e2a2b1; /*ドットボタンの現在地表示の色*/
}

/*==================================================
 最低限おぼえておきたい動き
===================================*/

/* 4-1 ふわっ（その場で） */
.fadeIn {
  -webkit-animation-name: fadeInAnime;
  animation-name: fadeInAnime;
  -webkit-animation-duration: 2s;
  animation-duration: 2s; /*ゆっくり出現するため数値変更*/

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeInAnime {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeInAnime {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
/* 4-4 ボンッ（拡大） */
.zoomOut {
  -webkit-animation-name: zoomOutAnime;
  animation-name: zoomOutAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes zoomOutAnime {
  from {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);

    opacity: 0;
  }

  to {
    -webkit-transform: scale(1);
    transform: scale(1);

    opacity: 1;
  }
}

@keyframes zoomOutAnime {
  from {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);

    opacity: 0;
  }

  to {
    -webkit-transform: scale(1);
    transform: scale(1);

    opacity: 1;
  }
}

/* スクロールをしたら出現する要素にはじめに透過0を指定　*/

.zoomOutTrigger {
  opacity: 0;
}

/*===========================================================*/
/* テキストの動き　/
/*===========================================================*/

/*========= 8-2 テキストが流れるように出現（左から右） ===============*/

/*全共通*/

.slide-in {
  display: inline-block;
  overflow: hidden;

  padding: 0 10px; /*英語がはみ出るので見えるように余白追記*/
}

.slide-in_inner {
  display: inline-block;
}

/*左右のアニメーション*/
.leftAnime,
.rightAnime {
  opacity: 0; /*事前に透過0にして消しておく*/
}

.slideAnimeLeftRight {
  -webkit-animation-name: slideText-100;
  animation-name: slideText-100;
  -webkit-animation-duration: 0.8s;
  animation-duration: 0.8s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes slideText-100 {
  from {
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%); /*要素を左の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateX(0);
    transform: translateX(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

@keyframes slideText-100 {
  from {
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%); /*要素を左の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateX(0);
    transform: translateX(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

.slideAnimeRightLeft {
  -webkit-animation-name: slideText100;
  animation-name: slideText100;
  -webkit-animation-duration: 0.8s;
  animation-duration: 0.8s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes slideText100 {
  from {
    -webkit-transform: translateX(100%);
    transform: translateX(100%); /*要素を右の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateX(0);
    transform: translateX(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

@keyframes slideText100 {
  from {
    -webkit-transform: translateX(100%);
    transform: translateX(100%); /*要素を右の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateX(0);
    transform: translateX(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

/*========= 8-9 テキストがじわっと出現 ===============*/

.blur {
  -webkit-animation-name: blurAnime;
  animation-name: blurAnime;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes blurAnime {
  from {
    -webkit-transform: scale(1.02);
    transform: scale(1.02);

    opacity: 0;

    -webkit-filter: blur(10px);
    filter: blur(10px);
  }

  to {
    -webkit-transform: scale(1);
    transform: scale(1);

    opacity: 1;

    -webkit-filter: blur(0);
    filter: blur(0);
  }
}

@keyframes blurAnime {
  from {
    -webkit-transform: scale(1.02);
    transform: scale(1.02);

    opacity: 0;

    -webkit-filter: blur(10px);
    filter: blur(10px);
  }

  to {
    -webkit-transform: scale(1);
    transform: scale(1);

    opacity: 1;

    -webkit-filter: blur(0);
    filter: blur(0);
  }
}

.blurTrigger {
  opacity: 0;
}

/*========= 8-17　テキストがほのかに光りながら出現 ===============*/

.glowAnime span {
  opacity: 0;
}
.glowAnime.glow span {
  -webkit-animation: glow_anime_on 1s ease-out forwards;
  animation: glow_anime_on 1s ease-out forwards;
}
@-webkit-keyframes glow_anime_on {
  0% {
    opacity: 0;
    text-shadow: 0 0 0 #fff, 0 0 0 #fff;
  }
  50% {
    opacity: 1;
    text-shadow: 0 0 10px #fff, 0 0 15px #fff;
  }
  100% {
    opacity: 1;
    text-shadow: 0 0 0 #fff, 0 0 0 #fff;
  }
}
@keyframes glow_anime_on {
  0% {
    opacity: 0;
    text-shadow: 0 0 0 #fff, 0 0 0 #fff;
  }
  50% {
    opacity: 1;
    text-shadow: 0 0 10px #fff, 0 0 15px #fff;
  }
  100% {
    opacity: 1;
    text-shadow: 0 0 0 #fff, 0 0 0 #fff;
  }
}

/*==================================================
 画像リンクの動き
===================================*/

span.mask {
  display: block; /*画像をくくるspanタグをブロック要素にする*/
  overflow: hidden; /*はみ出ているものを隠す*/
}

/*　7-9 波紋　*/

.circle span.mask {
  position: relative; /*波紋の基点となる位置を定義*/
}

.circle span.mask::before {
  position: absolute;

  width: 100%; /*円のサイズ指定*/
  height: 100%; /*円のサイズ指定*/

  content: "";
  -webkit-transform: scale(0);
  -ms-transform: scale(0);
  transform: scale(0); /*円の大きさ初期値は0*/

  opacity: 0; /*透過0*/
  border-radius: 50%; /*円の角丸指定*/
  background: rgba(255, 255, 255, 0.2); /*円の背景色*/
}

.circle span.mask:hover::before {
  /*hoverした時の変化*/
  -webkit-animation: circle 0.75s;
  animation: circle 0.75s; /*アニメーションの名前と速度を定義*/
}

@-webkit-keyframes circle {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);

    opacity: 1; /*透過なし*/
  }
  30% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(2);
    transform: scale(2); /*アニメーションで大きくなった2倍の円の指定*/
  }
}

@keyframes circle {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);

    opacity: 1; /*透過なし*/
  }
  30% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(2);
    transform: scale(2); /*アニメーションで大きくなった2倍の円の指定*/
  }
}

/* 背景が出現＋テキスト（上から） */

.bgDU,
.bgDU .mask {
  position: relative; /*背景色とテキストの基点となる位置を定義*/

  display: block;
  overflow: hidden;
}

.bgDU .mask::before {
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;

  width: 100%;
  height: 100%;

  content: "";
  -webkit-transition: 0.3s ease-in-out;
  -o-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out; /*移り変わる速さを変更したい場合はこの数値を変更*/
  -webkit-transform: translateY(100%);
  -ms-transform: translateY(100%);
  transform: translateY(100%);

  opacity: 0; /*透過0*/
  background: #e2a2b2; /*背景色*/
}

.bgDU:hover .mask::before {
  -webkit-transform: translateY(0);
  -ms-transform: translateY(0);
  transform: translateY(0);
  /*hoverした時の変化*/

  opacity: 1; /*透過なしに変化*/
}

.bgDU .cap {
  /*画像の上のテキスト*/
  position: absolute;
  z-index: 3; /*テキストを前面に出す*/
  top: 50%;
  left: 50%;

  -webkit-transition: 0.5s ease-in-out;
  -o-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out; /*移り変わる速さを変更したい場合はこの数値を変更*/
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%); /*テキストの位置中央指定*/

  opacity: 0; /*透過0*/
  color: #fff; /*テキストの色を変えたい場合はここを修正*/
}

.bgDU:hover .cap {
  /*hoverした時の変化*/
  opacity: 1; /*透過なしに変化*/
}

/*==================================================
 スクロールするとヘッダー背景画像が拡大（エリアの動き）
===================================*/

#header {
  position: relative; /*背景を設定するdivの基点とするためrelativeをかける*/

  overflow: hidden;

  width: 100%;
  height: 100vh;
}

#header-img {
  position: fixed; /*背景を固定するためfixedをかける*/
  z-index: 1; /*#container,#footerよりも下に配置するために数値を小さくする*/
  top: 0; /*topの位置がJSで変化*/
  /*以下画面で背景画像を表示させるための指定*/

  width: 100%;
  height: 100vh;

  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center; /*変化する基点を中心からに設定*/

  background: url("../img/main.jpg") no-repeat top center; /*背景画像の設定*/
  background-size: cover;
}

#container,
#footer {
  position: relative; /*#header-imgよりも配置を上にするためにrelativeをつける*/
  z-index: 3; /*#header-imgよりもz-indexの値を大きな数値にして上に表示*/

  background: #f8f9fa;
}
